%define api		1
%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}
%define giolibname	%mklibname gio 2.0 0

%define busname		ca.desrt.dconf-editor

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Configuration backend for Glib
Name:		dconf
Version:    0.40.0
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		dconf-0.14.1-mga-dconfsu.patch
License:	LGPLv2+ and GPLv2+ and GPLv3+
Group:		System/Libraries
URL:		https://wiki.gnome.org/dconf
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	vala-devel
BuildRequires:	gtk-doc
BuildRequires:	vala
BuildRequires:	intltool
BuildRequires:	meson
Requires:	dbus

%description
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package -n %{libname}
Group:			System/Libraries
Summary:		Configuration backend library for Glib

%description -n %{libname}
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package -n %{libdbus}
Group:			System/Libraries
Summary:		Configuration backend library for Glib


%description -n %{libdbus}
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package -n %{develname}
Group:		Development/Libraries
Summary:	Configuration backend library for Glib - development files
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%prep
%setup -q
%apply_patches

%build
%meson -Dgtk_doc=false
%meson_build

%install
%meson_install

install -d %{buildroot}%{_sysconfdir}/dconf/db
install -d %{buildroot}%{_sysconfdir}/dconf/profile

%post
%{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules

%postun
if [ "$1" = "0" ]; then
 %{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules
fi


%files
%dir %{_sysconfdir}/dconf
%dir %{_sysconfdir}/dconf/db
%dir %{_sysconfdir}/dconf/profile
%{_bindir}/dconf
%{_mandir}/man?/dconf.*
%{_mandir}/man1/dconf-service.*
%{_libexecdir}/dconf-service
%{_datadir}/bash-completion/completions/dconf
%{_datadir}/dbus-1/services/ca.desrt.dconf.service
%{_libdir}/gio/modules/libdconfsettings.*
%{_prefix}/lib/systemd/user/dconf.service

%files -n %{libname}
%{_libdir}/libdconf.so.%{major}*

%files -n %{develname}
%{_libdir}/libdconf.so
%{_libdir}/pkgconfig/dconf.pc
%{_includedir}/dconf
%{_datadir}/vala/vapi/dconf*


%changelog
* Fri Apr 02 2021 tex - 0.40.0-1pclos2021
- new version

* Mon Sep 14 2020 tex - 0.38.0-1pclos2020
- new version

* Mon Feb 24 2020 tex - 0.35.1-1pclos2020
- 0.35.1

* Tue Sep 10 2019 tex - 0.34.0-1pclos2019
- new version 0.34.0
